#!/bin/bash
# Basé sur un travail de Cédric Abonnel / Cédrix sous licence CC BY-NC 4.0

POSTFIX_ALIASES="/etc/postfix/virtual_aliases"

if [[ -z "$1" || -z "$2" ]]; then
    echo "Usage: $0 <adresse_source> <adresse_cible1> [adresse_cible2] ..."
    exit 1
fi

SOURCE=$1
shift  # Supprime le premier argument (l'adresse source)
TARGETS="$@"

echo "Ajout de la redirection de $SOURCE vers $TARGETS"

echo "$SOURCE $TARGETS" >> $POSTFIX_ALIASES

postmap $POSTFIX_ALIASES
systemctl reload postfix

echo "Redirection de $SOURCE vers $TARGETS ajoutée"
